﻿Public Class Form1
    Private m_Target As EnvironmentVariableTarget = EnvironmentVariableTarget.Process

    ' Get an environment variable's value.
    Private Sub btnGet_Click() Handles btnGet.Click
        txtVariableValue.Text = System.Environment.GetEnvironmentVariable(
            txtVariableName.Text, m_Target)
    End Sub

    ' Set the value.
    Private Sub btnSet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSet.Click
        Try
            System.Environment.SetEnvironmentVariable(
                txtVariableName.Text, txtVariableValue.Text, m_Target)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Error",
                MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
    End Sub

    ' Keep track of the desired level.
    Private Sub rad_CheckedChanged() Handles radSystem.CheckedChanged, radUser.CheckedChanged, radProcess.CheckedChanged
        If radSystem.Checked Then
            m_Target = EnvironmentVariableTarget.Machine
        ElseIf radUser.Checked Then
            m_Target = EnvironmentVariableTarget.User
        Else
            m_Target = EnvironmentVariableTarget.Process
        End If
    End Sub
End Class
